# Interface methods for submodule: BSplineDecompositionImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: BSplineDecompositionImageFilter
class BSplineDecompositionImageFilterProxy(_ImageToImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetSplineOrder(self, SplineOrder: int) -> None:
		""""""
		...

	def GetSplineOrder(self) -> int:
		""""""
		...

	def GetSplinePoles(self) -> Sequence[float]:
		""""""
		...

	def GetNumberOfPoles(self) -> int:
		""""""
		...

